# std::__future_base::_Result< _Res > Struct Template Reference

Result. More...

Inheritance diagram for std::__future_base::_Result< _Res >:
[legend]

List of all members.

## Public Member Functions

- void _M_set (const _Res &__res)
- void _M_set (_Res &&__res)
- _Res & _M_value ()

## Public Attributes

- exception_ptr _M_error

## Detailed Description

### template<typename _Res>
struct std::__future_base::_Result< _Res >

Result.

Definition at line 161 of file future.

The documentation for this struct was generated from the following file:

- future